<?php
//****************************************************************
//     Контроль ГЭС      КНОПКИ РАЗРАБОТЧКА И ИХ СКРИПТЫ
//****************************************************************
//                            ОТЕЦ
//*******************************************************
//                           КНОПКА 1
//*******************************************************
if (strpos($tabl,"-")==0)              // только таблицы данных
{if ($kpre==1)                         // если форма таблицы отца то кнопка
{// для скрытия кнопки закоменнтируй ее //
echo "..<img src=../../../../d~e~f/do.bmp style='background:white;border:green thin double' onclick=button11(0)
   title='Выполнить контроль'>";
echo "..<img src=../../../../d~e~f/do.bmp style='background:white;border:blue thin double' onclick=button12(0)
   title='Переместить данные без ошибок в базу'>";
}
?>
<script type="text/javascript">
//***************************************************************
// обработчик отца  Контроль ГЭС
//***************************************************************
function button11(p)
{
if (table.length==0)
{return}
inn=false
for(var j = 0; j < table.length; j++)           // по всей таблице найдем строки с изменениями
 {if (table[j][0]=="?")                         // вставка
 {inn=true; break }
 if (table[j][table[j].length-1].indexOf('yes.gif')>0) // удаление или изменение
 {inn=true; break}
}
if (inn)
{alert("Контроль невозможен!\r\nВ таблицу были внесены изменения !\r\nСохрани изменения (кнопка сохраниь на сервере)\r\nили откажись от них (кнопка обновить).")
return
}
form.elements["button11"].click()   // выполним серверную часть добавления новых данных
}
//******************************************************************************
// обработчик отца перемещение данных без ошибок в базу
//******************************************************************************
function button12(p)
{// сюда введи скрипт обработки на нажатие button1
// обычно это проверка данных таблицы
if (table.length==0)
{return}

inn=false
for(var j = 0; j < table.length; j++)           // по всей таблице найдем строки с изменениями
 {if (table[j][0]=="?")                         // вставка
 {inn=true; break }
 if (table[j][table[j].length-1].indexOf('yes.gif')>0) // удаление или изменение
 {inn=true; break}
}
if (inn)
{alert("Перемещение невозможно!\r\nВ таблицу были внесены изменения !\r\nСохрани изменения (кнопка сохраниь на сервере)\r\nили откажись от них (кнопка обновить) и выполни контроль.")
return
}
if (confirm("ВНИМАНИЕ ! Все строки без ошибок \r\n будут перемещены в базу ! \r\n  Для отмены щелкни Cancel. ")) 
{form.elements["button12"].click()   // выполним серверную часть обработчика сына
}
else
{return}
}
//*****************************************************************
// обработчик отца 3 кнопка копирование данных без ошибок в базу
//*****************************************************************
function button13(p)
{// сюда введи скрипт обработки на нажатие button3
// обычно это проверка данных таблицы
inn=false
for(var j = 0; j < table.length; j++)           // по всей таблице найдем строки с изменениями
 {if (table[j][0]=="?")                         // вставка
 {inn=true; break }
 if (table[j][table[j].length-1].indexOf('yes.gif')>0) // удаление или изменение
 {inn=true; break}
}
if (inn)
{alert("Перемещение невозможено!\r\nВ таблицу были внесены изменения !\r\nСохрани изменения (кнопка сохраниь на сервере)\r\nи выполни контроль  или откажись от них (кнопка обновить).")
return
}
form.elements["button13"].click()   // выполним серверную часть обработчика внука
}
</script>
<?php
}
?>
